Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.model
Class PromoteSetting

    java.lang.Object
      com.pmease.quickbuild.model.PromoteSetting

public class PromoteSetting
extends java.lang.Object

Constructor Summary
`PromoteSetting()`

Method Summary
`Configuration` | `getConfiguration()` Specify destination configuration of this promotion.
`java.lang.String` | `getPromoteAsVersion()` Version for promoted build.
`java.util.Map` | `getVariables()` Change variable values for this promote triggering.
`boolean` | `isRemoveOriginalAfterPromotion()` Specifies whether or not to remove original build after promotion.
`void` | `setConfiguration(Configuration configuration)`
`void` | `setPromoteAsVersion(java.lang.String promoteAsVersion)`
`void` | `setRemoveOriginalAfterPromotion(boolean removeOriginalAfterPromotion)`
`void` | `setVariables(java.util.Map variables)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PromoteSetting

    public PromoteSetting()

Method Detail

### getConfiguration

    public Configuration getConfiguration()

  Specify destination configuration of this promotion.

### setConfiguration

    public void setConfiguration(Configuration configuration)

### getPromoteAsVersion

    public java.lang.String getPromoteAsVersion()

  Version for promoted build. If left empty, \"next build version\" of destination configuration will be used.

### setPromoteAsVersion

    public void setPromoteAsVersion(java.lang.String promoteAsVersion)

### isRemoveOriginalAfterPromotion

    public boolean isRemoveOriginalAfterPromotion()

  Specifies whether or not to remove original build after promotion.

  Returns:

### setRemoveOriginalAfterPromotion

    public void setRemoveOriginalAfterPromotion(boolean removeOriginalAfterPromotion)

### getVariables

    public java.util.Map getVariables()

  Change variable values for this promote triggering.

  Returns:

### setVariables

    public void setVariables(java.util.Map variables)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.